Scrollable (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface Scrollable

All Known Implementing Classes:
  JList, JTable, JTextComponent, JTree

public interface Scrollable

An interface that provides information to a scrolling container like JScrollPane. A complex component that's likely to be used as a viewing a JScrollPane viewport (or other scrolling container) should implement this interface.

See Also:
  `JViewport`, `JScrollPane`, `JScrollBar`

Method Summary
`Dimension` | `getPreferredScrollableViewportSize()` Returns the preferred size of the viewport for a view component.
`int` | `getScrollableBlockIncrement(Rectangle visibleRect, int orientation, int direction)` Components that display logical rows or columns should compute the scroll increment that will completely expose one block of rows or columns, depending on the value of orientation.
`boolean` | `getScrollableTracksViewportHeight()` Return true if a viewport should always force the height of this Scrollable to match the height of the viewport.
`boolean` | `getScrollableTracksViewportWidth()` Return true if a viewport should always force the width of this `Scrollable` to match the width of the viewport.
`int` | `getScrollableUnitIncrement(Rectangle visibleRect, int orientation, int direction)` Components that display logical rows or columns should compute the scroll increment that will completely expose one new row or column, depending on the value of orientation.

Method Detail

### getPreferredScrollableViewportSize

    public Dimension getPreferredScrollableViewportSize()

  Returns the preferred size of the viewport for a view component. For example the preferredSize of a JList component is the size required to accommodate all of the cells in its list however the value of preferredScrollableViewportSize is the size required for JList.getVisibleRowCount() rows. A component without any properties that would effect the viewport size should just return getPreferredSize() here.

  Returns:
    The preferredSize of a JViewport whose view is this Scrollable.
  See Also:
    `JComponent.getPreferredSize()`

### getScrollableUnitIncrement

    public int getScrollableUnitIncrement(Rectangle visibleRect,
                                          int orientation,
                                          int direction)

  Components that display logical rows or columns should compute the scroll increment that will completely expose one new row or column, depending on the value of orientation. Ideally, components should handle a partially exposed row or column by returning the distance required to completely expose the item.

  Scrolling containers, like JScrollPane, will use this method each time the user requests a unit scroll.

  Parameters:
    `visibleRect` - The view area visible within the viewport
    `orientation` - Either SwingConstants.VERTICAL or SwingConstants.HORIZONTAL.
    `direction` - Less than zero to scroll up/left, greater than zero for down/right.
  Returns:
    The "unit" increment for scrolling in the specified direction. This value should always be positive.
  See Also:
    `JScrollBar.setUnitIncrement(int)`

### getScrollableBlockIncrement

    public int getScrollableBlockIncrement(Rectangle visibleRect,
                                           int orientation,
                                           int direction)

  Components that display logical rows or columns should compute the scroll increment that will completely expose one block of rows or columns, depending on the value of orientation.

  Scrolling containers, like JScrollPane, will use this method each time the user requests a block scroll.

  Parameters:
    `visibleRect` - The view area visible within the viewport
    `orientation` - Either SwingConstants.VERTICAL or SwingConstants.HORIZONTAL.
    `direction` - Less than zero to scroll up/left, greater than zero for down/right.
  Returns:
    The "block" increment for scrolling in the specified direction. This value should always be positive.
  See Also:
    `JScrollBar.setBlockIncrement(int)`

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

  Return true if a viewport should always force the width of this `Scrollable` to match the width of the viewport. For example a normal text view that supported line wrapping would return true here, since it would be undesirable for wrapped lines to disappear beyond the right edge of the viewport. Note that returning true for a Scrollable whose ancestor is a JScrollPane effectively disables horizontal scrolling.

  Scrolling containers, like JViewport, will use this method each time they are validated.

  Returns:
    True if a viewport should force the Scrollables width to match its own.

### getScrollableTracksViewportHeight

    public boolean getScrollableTracksViewportHeight()

  Return true if a viewport should always force the height of this Scrollable to match the height of the viewport. For example a columnar text view that flowed text in left to right columns could effectively disable vertical scrolling by returning true here.

  Scrolling containers, like JViewport, will use this method each time they are validated.

  Returns:
    True if a viewport should force the Scrollables height to match its own.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.